Bug 427226 - Review Request: bless - High quality, full featured hex editor
Review Request: bless - High quality, full featured hex editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 07:26 EST by Adel Gadllah
Modified: 2008-01-04 14:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-04 14:59:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adel Gadllah 2008-01-02 07:26:38 EST
Spec URL: http://tgmweb.at/gadllah/bless.spec
SRPM URL: http://tgmweb.at/gadllah/bless-0.5.2-1.fc8.src.rpm
Description: 
Bless is a binary (hex) editor, a program that 
enables you to edit files as sequences of bytes.
Comment 1 Parag AN(पराग) 2008-01-02 07:33:11 EST
will review this.
Comment 2 Parag AN(पराग) 2008-01-02 23:35:26 EST
Just want to know why this patch is needed bless-0.5.2-buildfix.patch ?

rpmlint is not happy with messages
bless.src:41: E: hardcoded-library-path in %{_prefix}/lib
bless.src:66: E: hardcoded-library-path in %{_prefix}/lib/bless/

other rpmlint message is ok as per mono packaging guidelines.
bless.noarch: E: only-non-binary-in-usr-lib
Comment 3 Parag AN(पराग) 2008-01-02 23:43:27 EST
use scrollkeeper scriptlet as given at
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
Comment 4 Adel Gadllah 2008-01-03 06:29:01 EST
(In reply to comment #2)
> Just want to know why this patch is needed bless-0.5.2-buildfix.patch ?

Because the data in the po directory breaks the build and there aren't any
translations included anyway (in the tarball).

> rpmlint is not happy with messages
> bless.src:41: E: hardcoded-library-path in %{_prefix}/lib
> bless.src:66: E: hardcoded-library-path in %{_prefix}/lib/bless/

I know but I had to do this because using libdir would result in either
/usr/lib64/ or /usr/lib/ depending on the build host. And since this is a noarch
package it has to use /usr/lib.

> other rpmlint message is ok as per mono packaging guidelines.
> bless.noarch: E: only-non-binary-in-usr-lib

ok.
Comment 6 Adel Gadllah 2008-01-03 06:41:04 EST
"We use %{_libdir} because we do not consider mono packages to be noarch." 
So I changed it to not be noarch.

http://tgmweb.at/gadllah/bless.spec
http://tgmweb.at/gadllah/bless-0.5.2-3.fc8.src.rpm
Comment 7 Parag AN(पराग) 2008-01-03 23:43:33 EST
I think you also need to add
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha
as BR's of this package includes them.
Build failed on koji
http://koji.fedoraproject.org/koji/getfile?taskID=323749&name=root.log
Comment 9 Parag AN(पराग) 2008-01-04 09:16:04 EST
SHOULD:
  follow use scrollkeeper scriptlet as given at
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets with proper post and
postun requires.
   As per given on http://fedoraproject.org/wiki/Packaging/Mono
We use %{_libdir} because we do not consider mono packages to be noarch. 
 Follow mono packaging guidelines.
Comment 10 Adel Gadllah 2008-01-04 09:25:56 EST
(In reply to comment #9)
> SHOULD:
>   follow use scrollkeeper scriptlet as given at
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets with proper post and
> postun requires.

Fixed.

>    As per given on http://fedoraproject.org/wiki/Packaging/Mono
> We use %{_libdir} because we do not consider mono packages to be noarch. 
>  Follow mono packaging guidelines.

Already fixed this see comment 6 ;)

New SPEC and SRPM:
http://tgmweb.at/gadllah/bless.spec
http://tgmweb.at/gadllah/bless-0.5.2-5.fc8.src.rpm


Comment 11 Parag AN(पराग) 2008-01-04 09:43:14 EST
Review:
+ package builds in mock (rawhide i386).
- rpmlint is NOT silent for RPM But Silent for SRPM.
bless.i386: E: only-non-binary-in-usr-lib
bless.i386: E: no-binary
==> This is ok as per mono packaging guidelines.
+ source files match upstream.
2f395e0b0c82382c49864947aea894ca  bless-0.5.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present in separate -doc subpackage.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop files handled correctly.
+ scrollkeeper scriptlets are used.
+GUI app.

APPROVED.
Comment 12 Adel Gadllah 2008-01-04 10:15:21 EST
(In reply to comment #11)
>
> APPROVED.
>

thx for the review.

================ 

New Package CVS Request
=======================
Package Name: bless
Short Description: High quality, full featured hex editor
Owners: drago01
Branches: F-7 F-8
Cvsextras Commits: yes

Comment 13 Kevin Fenzi 2008-01-04 13:54:31 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.